﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Primeval
{
    class ArmorPlate
    {
        private int sizeRating;
        private int thicknessRating;
        private int healthRating;
        private int armorRating;
        private int directionRating;
        private int distanceRating;

        public int Width { get { return sizeRating; } }
        public int Thickness { get { return thicknessRating / 5; } }
        public int Health { get { return healthRating; } }
        public int Armor { get { return armorRating / 40; } }
        public float Direction { get { return directionRating / 100f * (float)Math.PI * 2; } }
        public float Distance { get { return distanceRating; } }

        private Bot owner;

        private int currentHealth;

        public ArmorPlate(Bot owner, Dictionary<string, AtomValue> values)
        {
            this.owner = owner;

            sizeRating = values["size"];
            thicknessRating = values["thickness"];
            healthRating = values["health"];
            armorRating = values["armor"];
            directionRating = values["direction"];
            distanceRating = values["distance"];

            currentHealth = Health;
        }

        public void Update(GameTime gameTime)
        {

        }

        public void Draw(SpriteBatch spriteBatch)
        {

        }
    }
}
